package com.yaohun.itemlibrary.api;

import com.yaohun.itemlibrary.data.SortData;
import com.yaohun.itemlibrary.main;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.inventory.ItemStack;

import java.io.File;

public abstract class ItemKuAPI {

    /*
    * 根据分类名 + 物品代号获取物品
    * */
    public static ItemStack getSortItemStack(String sortName,String itemKey){
        SortData sortData = main.sortManager.getSortData(sortName);
        if(sortData.isStackExit(itemKey)){
            return sortData.getStackLinkedMap().get(itemKey).clone();
        }
        return DemonAPI.getErrItems();
    }
}
