package com.yaohun.itemlibrary.data;

import com.yaohun.itemlibrary.main;
import org.bukkit.inventory.ItemStack;

import java.util.*;

public class RandomData {

    private String groupName;
    private HashMap<String,Integer> stackMap = new HashMap<>();
    public RandomData(String groupName,List<String> stringList){
        this.groupName = groupName;
        for (String itemKey : stringList){
            if(itemKey.contains("#")){
                String[] strings = itemKey.split("#");
                String NewitemKey = strings[0];
                int amount = Integer.parseInt(strings[1]);
                stackMap.put(NewitemKey,amount);
            }else{
                stackMap.put(itemKey,1);
            }
        }
    }

    public String getGroupName() {
        return groupName;
    }

    public ItemStack getRandomStack(){
        List<ItemStack> stackList = new ArrayList<>();
        for (String itemKey : stackMap.keySet()){
            stackList.add(getItemStack(itemKey));
        }
        Collections.shuffle(stackList);
        Random random = new Random();
        return stackList.get(random.nextInt(stackList.size()));
    }

    public ItemStack getItemStack(String itemKey) {
        return main.sortManager.getItemStack(itemKey);
    }
}
